Subject: bug#35605: closed (Re: bug#35605: GNOME Settings: Region & Language: Input source keyboard button does not work)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 07 May 2019 13:51:02 +0000

Your bug report

#35605: GNOME Settings: Region & Language: Input source keyboard button does not work

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
35605: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=35605
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#35605: GNOME Settings: Region & Language: Input source keyboard button does not work
From: Ludovic Courtès <[email-masked]>
To: sirgazil <[email-masked]>
Cc: [email-masked]
Date: Tue, 07 May 2019 15:50:38 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi!

sirgazil <[email-masked]> skribis:

> ## Steps to reproduce
>
> 1. Go to GNOME Settings → Language & Region → Input Sources.
> 2. Click on one of the sources.
> 3. Click the button that has a keyboard icon.
>
>
> ## Unexpected result
>
> Nothing happens.

Fixed in 1df38cfcc78b750567f292a173e43a2633757cb0 (screenshot below).
I fixed a similar issue in 341225ac6ccf1e2fcf52a58fb4230586a53bae05.

Thanks!

Ludo’.

Subject: GNOME Settings: Region & Language: Input source keyboard button does not work
From: sirgazil <[email-masked]>
To: "bug-guix" <[email-masked]>
Date: Mon, 06 May 2019 13:17:38 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I installed the GNU system using Guix 1.0 ISO installer, and reconfigured the system to work around the installer "%base-packages" bug (https://debbugs.gnu.org/cgi/bugreport.cgi?bug=35541).

Every time I click the little keyboard button in Input sources, nothing happens.

## Steps to reproduce

1. Go to GNOME Settings → Language & Region → Input Sources.
2. Click on one of the sources.
3. Click the button that has a keyboard icon.

## Unexpected result

Nothing happens.

## Expected result

The Keyboard Layout window is displayed showing you the key mappings for the selected input source. Like this:

https://multimedialib.files.wordpress.com/2019/05/gnome-keyboard-layout-window-2019-05-06.png

---
https://sirgazil.bitbucket.io/